View Issue Details

IDProjectCategoryView StatusLast Update
0032628LazarusPatchpublic2017-11-01 16:07
ReporterFTurtleAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.9 (SVN)Product Build56234 
Target VersionFixed in Version1.9 (SVN) 
Summary0032628: [Patches] High-DPI icons
DescriptionFew new icons.
TagsNo tags attached.
Fixed in Revision56253
LazTarget-
Widgetset
Attached Files
  • images.zip (12,695 bytes)
  • patch.diff (2,686 bytes)
    Index: images/copyright.txt
    ===================================================================
    --- images/copyright.txt	(revision 56234)
    +++ images/copyright.txt	(working copy)
    @@ -205,6 +205,9 @@
     menu_pause.png
     menu_pause_150.png
     menu_pause_200.png
    +menu_project_add.png
    +menu_project_add_150.png
    +menu_project_add_200.png
     menu_project_close.png
     menu_project_close_150.png
     menu_project_close_200.png
    @@ -226,6 +229,9 @@
     menu_project_options.png
     menu_project_options_150.png
     menu_project_options_200.png
    +menu_project_remove.png
    +menu_project_remove_150.png
    +menu_project_remove_200.png
     menu_project_save.png
     menu_project_save_150.png
     menu_project_save_200.png
    @@ -332,6 +338,12 @@
     menu_toggle_bookmark9.png
     menu_toggle_bookmark9_150.png
     menu_toggle_bookmark9_200.png
    +menu_tool_check_lfm.png
    +menu_tool_check_lfm_150.png
    +menu_tool_check_lfm_200.png
    +menu_tool_syntax_check.png
    +menu_tool_syntax_check_150.png
    +menu_tool_syntax_check_200.png
     menu_undo.png
     menu_undo_150.png
     menu_undo_200.png
    @@ -374,6 +386,9 @@
     menu_view_units.png
     menu_view_units_150.png
     menu_view_units_200.png
    +menu_view_unit_info.png
    +menu_view_unit_info_150.png
    +menu_view_unit_info_200.png
     
     sourceeditor directory:
     
    Index: images/laz_images_list.txt
    ===================================================================
    --- images/laz_images_list.txt	(revision 56234)
    +++ images/laz_images_list.txt	(working copy)
    @@ -364,6 +364,8 @@
     menu/menu_pause_150.png
     menu/menu_pause_200.png
     menu/menu_project_add.png
    +menu/menu_project_add_150.png
    +menu/menu_project_add_200.png
     menu/menu_project_close.png
     menu/menu_project_close_150.png
     menu/menu_project_close_200.png
    @@ -386,6 +388,8 @@
     menu/menu_project_options_150.png
     menu/menu_project_options_200.png
     menu/menu_project_remove.png
    +menu/menu_project_remove_150.png
    +menu/menu_project_remove_200.png
     menu/menu_project_save.png
     menu/menu_project_save_150.png
     menu/menu_project_save_200.png
    @@ -506,10 +510,14 @@
     menu/menu_toggle_bookmark9_150.png
     menu/menu_toggle_bookmark9_200.png
     menu/menu_tool_check_lfm.png
    +menu/menu_tool_check_lfm_150.png
    +menu/menu_tool_check_lfm_200.png
     menu/menu_tool_dfm_to_lfm.png
     menu/menu_tool_diff.png
     menu/menu_tool_make_resourcestring.png
     menu/menu_tool_syntax_check.png
    +menu/menu_tool_syntax_check_150.png
    +menu/menu_tool_syntax_check_200.png
     menu/menu_uncomment.png
     menu/menu_uncomment_150.png
     menu/menu_uncomment_200.png
    @@ -557,6 +565,8 @@
     menu/menu_view_units_150.png
     menu/menu_view_units_200.png
     menu/menu_view_unit_info.png
    +menu/menu_view_unit_info_150.png
    +menu/menu_view_unit_info_200.png
     menu/SelCompPage.png
     packages/pkg_add.png
     packages/pkg_binary.png
    
    patch.diff (2,686 bytes)
  • menu_project_add(300).gfie (11,344 bytes)

Activities

FTurtle

2017-10-29 22:35

reporter  

images.zip (12,695 bytes)

FTurtle

2017-10-29 22:36

reporter  

patch.diff (2,686 bytes)
Index: images/copyright.txt
===================================================================
--- images/copyright.txt	(revision 56234)
+++ images/copyright.txt	(working copy)
@@ -205,6 +205,9 @@
 menu_pause.png
 menu_pause_150.png
 menu_pause_200.png
+menu_project_add.png
+menu_project_add_150.png
+menu_project_add_200.png
 menu_project_close.png
 menu_project_close_150.png
 menu_project_close_200.png
@@ -226,6 +229,9 @@
 menu_project_options.png
 menu_project_options_150.png
 menu_project_options_200.png
+menu_project_remove.png
+menu_project_remove_150.png
+menu_project_remove_200.png
 menu_project_save.png
 menu_project_save_150.png
 menu_project_save_200.png
@@ -332,6 +338,12 @@
 menu_toggle_bookmark9.png
 menu_toggle_bookmark9_150.png
 menu_toggle_bookmark9_200.png
+menu_tool_check_lfm.png
+menu_tool_check_lfm_150.png
+menu_tool_check_lfm_200.png
+menu_tool_syntax_check.png
+menu_tool_syntax_check_150.png
+menu_tool_syntax_check_200.png
 menu_undo.png
 menu_undo_150.png
 menu_undo_200.png
@@ -374,6 +386,9 @@
 menu_view_units.png
 menu_view_units_150.png
 menu_view_units_200.png
+menu_view_unit_info.png
+menu_view_unit_info_150.png
+menu_view_unit_info_200.png
 
 sourceeditor directory:
 
Index: images/laz_images_list.txt
===================================================================
--- images/laz_images_list.txt	(revision 56234)
+++ images/laz_images_list.txt	(working copy)
@@ -364,6 +364,8 @@
 menu/menu_pause_150.png
 menu/menu_pause_200.png
 menu/menu_project_add.png
+menu/menu_project_add_150.png
+menu/menu_project_add_200.png
 menu/menu_project_close.png
 menu/menu_project_close_150.png
 menu/menu_project_close_200.png
@@ -386,6 +388,8 @@
 menu/menu_project_options_150.png
 menu/menu_project_options_200.png
 menu/menu_project_remove.png
+menu/menu_project_remove_150.png
+menu/menu_project_remove_200.png
 menu/menu_project_save.png
 menu/menu_project_save_150.png
 menu/menu_project_save_200.png
@@ -506,10 +510,14 @@
 menu/menu_toggle_bookmark9_150.png
 menu/menu_toggle_bookmark9_200.png
 menu/menu_tool_check_lfm.png
+menu/menu_tool_check_lfm_150.png
+menu/menu_tool_check_lfm_200.png
 menu/menu_tool_dfm_to_lfm.png
 menu/menu_tool_diff.png
 menu/menu_tool_make_resourcestring.png
 menu/menu_tool_syntax_check.png
+menu/menu_tool_syntax_check_150.png
+menu/menu_tool_syntax_check_200.png
 menu/menu_uncomment.png
 menu/menu_uncomment_150.png
 menu/menu_uncomment_200.png
@@ -557,6 +565,8 @@
 menu/menu_view_units_150.png
 menu/menu_view_units_200.png
 menu/menu_view_unit_info.png
+menu/menu_view_unit_info_150.png
+menu/menu_view_unit_info_200.png
 menu/SelCompPage.png
 packages/pkg_add.png
 packages/pkg_binary.png
patch.diff (2,686 bytes)

Vojtech Cihak

2017-10-30 13:07

reporter   ~0103825

For curiosity, how do you draw icons?
I recently draw them (for EC-Controls) in Inkscape 48x48 and then I use rsvg-convert.
Standart (24x24) and _200 (48x48) are fine. Only _150 (36x36) are not sharp because they are non-integer scaled (3:2). I consider correct them by hand in GIMP or so.

Thanks and sorry for abuse bugtracker.

FTurtle

2017-10-30 17:47

reporter   ~0103826

> For curiosity, how do you draw icons?

I use Greenfish Icon Editor Pro 3.5.
Sources are in its own format gfie.
All sizes stores in single file.

First I draw 16x16 for exact placing pixels and getting proportions.
After, I scale it to bigger sizes and make corrections or draw by hand.
Some elements like "project" first I make in big size (mainly 96x96) without antialiasing and after scaling down to necessary sizes.
To getting convexity I use "Bevel" with appropriate parameters.

FTurtle

2017-10-30 17:56

reporter  

menu_project_add(300).gfie (11,344 bytes)

FTurtle

2017-10-30 17:57

reporter   ~0103827

As example I attached source for menu_project_add:

menu_project_add(300).gfie

This file is ready for uploading to repository but others need cleaning, translating of layer names and etc. I plan do it some later.

Michl

2017-10-31 21:26

developer   ~0103834

Applied. Thank you!

FTurtle

2017-11-01 16:07

reporter   ~0103844

Thank you.

Issue History

Date Modified Username Field Change
2017-10-29 22:35 FTurtle New Issue
2017-10-29 22:35 FTurtle File Added: images.zip
2017-10-29 22:36 FTurtle File Added: patch.diff
2017-10-30 13:07 Vojtech Cihak Note Added: 0103825
2017-10-30 17:47 FTurtle Note Added: 0103826
2017-10-30 17:56 FTurtle File Added: menu_project_add(300).gfie
2017-10-30 17:57 FTurtle Note Added: 0103827
2017-10-30 21:30 Michl Assigned To => Michl
2017-10-30 21:30 Michl Status new => assigned
2017-10-31 21:26 Michl Fixed in Revision => 56253
2017-10-31 21:26 Michl LazTarget => -
2017-10-31 21:26 Michl Note Added: 0103834
2017-10-31 21:26 Michl Status assigned => resolved
2017-10-31 21:26 Michl Fixed in Version => 1.9 (SVN)
2017-10-31 21:26 Michl Resolution open => fixed
2017-11-01 16:07 FTurtle Note Added: 0103844
2017-11-01 16:07 FTurtle Status resolved => closed